/**
 * Large Page. 
 * 
 * Example code based on an example from OpenProcessing:
 * http://www.openprocessing.org/sketch/224181
 * "Spiky" by Emily-Jayne Harper
 *
 * Just to demonstrate how the files should be organized when 
 * sumbitting your code for the course Creative Programming.
 * 
 */


import processing.pdf.*;

float a=0;
float b=0;
int count = 0;

void setup() {
  background(255);
  size(1000, 1000);
  beginRecord(PDF, "Spiky.pdf");
}

void draw() {
  //changing origin to the centre of the canvas
  translate(500, 500);
  //changing radians to degrees and randomly generating values from 0-360
  rotate(radians(random(360)));
  //randomly generated quad sizes with outward moving centres
  quad(a, b, random(100), random(100), random(100), random(100), random(100), random(100));
  a+=1;
  b+=1;
  noFill();
  //randomly generated colour codes, left random for R,G and B so free to change pallete
  stroke(random(100), random(0), random(100));
  strokeWeight(random(10));
  count +=1;
  if (count>400) {
    endRecord();
    exit();
  }
}



